
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Jquery源码分析---DOM元素（中） / iVAN</title>

    <meta name="description" content="Jquery源码分析---DOM元素（中） 5.2.2 width&amp;heigth 对于元素的宽度和高度,dom元素提供了 client(clientHeight,clientWidth).offset(offsetHeight,offsetwidth). scroll(srollHeight,srollWidth)三种方式,这三种有什么区别呢? client=content+padding.Offset=content+padding+border.Scroll的宽度和 高度都是没有经过scroll的原始宽度和高度.也就是这个一般 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Jquery源码分析---DOM元素（中）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>5.2.2 width&amp;heigth</p>
<p>对于元素的宽度和高度，dom元素提供了 client(clientHeight,clientWidth)、offset(offsetHeight,offsetwidth)、 scroll(srollHeight,srollWidth)三种方式，这三种有什么区别呢？ client=content+padding。Offset=content+padding+border。Scroll的宽度和 高度都是没有经过scroll的原始宽度和高度。也就是这个一般会大于现在显示的 尺寸。</p>
<p>Jquery也提供了三种相关的宽度和高度。Height", "Width"是元素的content的宽度和高度。innerHeigh, innerWidth是 在元素的内容之上加上padding。其实就是clientHeight,clientWidth。 outerHeigh、outerWidth是在元素的内容上加上padding、border、margin。</p>
<p>Jquery的这三类方法比元素的方法的好处在于它们能测量不可见的元素 的宽度和高度。</p>
<p>另外document.body 的值在不同浏览器中有不同解释（ 实际上大多数环境是由于对 document.body 解释不同造成的，并不是由于对 offset 解释不同造成的）document.documentElement是兼容的。</p>
<p><code>// 为jQuery对象注册height,width方法<br />
//取得第一个匹配 元素当前计算的高（宽）度值（px）。或设值<br />
//在 jQuery 1.2 以后可以 用来获取 window 和 document 的高（宽）jQuery.each(["Height", "Width"],<br />
function(i, name) {<br />
　　var type = name.toLowerCase();<br />
　　jQuery.fn[type] = function(size) {// window的宽度和高度<br />
　　 return this[0] == window ? (// window的宽 度和高度　 ①<br />
　　　　　　 jQuery.browser.opera&amp;&amp; document.body["client" + name]<br />
　　　　 || jQuery.browser.safari&amp;&amp; window["inner" + name]<br />
|| document.compatMode == "CSS1Compat"&amp;&amp; document.documentElement["client"+ name]<br />
|| document.body["client"+ name])<br />
　　　　 : this[0] == document ? (// document的宽度和高度　 ②<br />
　　　　　　 Math.max (Math.max(　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　 　　document.body["scroll"+ name],　<br />
　　　　　　　　　 　　document.documentElement["scroll"+ name]),<br />
Math.max(<br />
document.body["offset"+ name],　　　　　　 　　document.documentElement["offset"+ name])))<br />
: (size == undefined ? (// 第一个元素的的宽度和高度　　 ③<br />
　　　　　　　 this.length ? jQuery.css(this[0], type) : null)<br />
　　　　　　　　 　 : // 设定当前对象所有元素宽度和高度<br />
　　　　　　　this.css (type, size.constructor == String?<br />
size: size+ "px"));<br />
　　　　　};<br />
});</code></p>
<p>在上面的代码 中可以看出"Height", "Width"分成三个部分，①处是对 window的宽高取值,这其实就是document的client的宽高度。 document.documentElement指的是&lt;html&gt;，而document.body指的是 &lt;body&gt;它们两者之间的区别不大。CSS1Compat的模式下，body外的元素都 不会计算宽高的。</p>
<p>②是对document求宽高，它的的值可能会大于window 。因为offset比client多了一个border的尺寸。而且document还会取比offset大 的scroll。</p>
<p>③是取或设其它元素的宽高。取值是通过jQuery.css来完成 的，而设值是通过this.css来完成的，这个在5.2.1中讲过。接下看看 jQuery.css。</p>
<p><code>// 取得elem的name的属性值<br />
css : function(elem, name, force) {<br />
　　// 对元素的宽度高度修正<br />
　 　if (name == "width" || name == "height") {<br />
　　　var val,props = {position : "absolute",<br />
　 visibility : "hidden",display : "block"},<br />
　 　　　which = (name == "width" ? ["Left", "Right"] : ["Top","Bottom"]);<br />
function getWH() {// 求元素的实际高度，宽度 offsetWidth=padding+border+element<br />
　　　 val = name == "width"? elem.offsetWidth: elem.offsetHeight;　　　　var padding = 0, border = 0;<br />
　　　 jQuery.each(which, function() {<br />
　　　　　　padding += parseFloat(　 // paddinLeft,paddingRight<br />
jQuery.curCSS(elem, "padding" + this, true))|| 0;<br />
　　　　　 border += parseFloat(// borderLeftWidth,borderRightWith<br />
jQuery.curCSS(elem, "border"+ this + "Width", true))|| 0;<br />
　　　 　　　　　　　 });<br />
　　　　　　　　　　 //http://msdn.microsoft.com/en-us/library/ms530302(VS.85).aspx　　 //http://msdn.microsoft.com/en-us/library/ms534304(VS.85).aspx<br />
//offsetwidth-paddinLeft-paddingRight-orderLeftWidth- borderRightWith<br />
　　val -= Math.round(padding + border);//height 也同样要减去。<br />
　　}<br />
//可见就取得实际元素的w,h。除 padding,border<br />
if (jQuery(elem).is(":visible"))getWH ();<br />
// 元素看不到的情况下，通过使元素暂时为绝对定位， display:block等来取高度或宽度<br />
else jQuery.swap(elem, props, getWH);<br />
return Math.max(0, val);<br />
　　}<br />
return jQuery.curCSS(elem, name, force);<br />
},</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 02:13:19</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/name/" title="name">name</a>, <a href="https://www.iamivan.net/tag/%e5%85%83%e7%b4%a0/" title="元素">元素</a>, <a href="https://www.iamivan.net/tag/jquery/" title="jquery">jquery</a>, <a href="https://www.iamivan.net/tag/%e5%ae%bd%e5%ba%a6/" title="宽度">宽度</a>, <a href="https://www.iamivan.net/tag/%e9%ab%98%e5%ba%a6/" title="高度">高度</a>, <a href="https://www.iamivan.net/tag/document/" title="document">document</a>, <a href="https://www.iamivan.net/tag/%e5%85%83%e7%b4%a0%e9%ab%98%e5%ba%a6/" title="元素高度">元素高度</a>, <a href="https://www.iamivan.net/tag/dom%e5%ae%bd%e5%ba%a6/" title="dom宽度">dom宽度</a>, <a href="https://www.iamivan.net/tag/dom%e9%ab%98%e5%ba%a6/" title="dom高度">dom高度</a>, <a href="https://www.iamivan.net/tag/%e5%85%83%e7%b4%a0%e5%ae%bd%e9%ab%98/" title="元素宽高">元素宽高</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Jquery源码分析---DOM元素（中）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myrr78p.html" rel="bookmark">Jquery源码分析---DOM元素（上）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				5.1 dom元素的属性 对dom元素的操作,对元素的属性进行操作是很重要的一项.我们可以通过 dom元素的原始方法对元素元素进行操作,但是由于浏览器的兼容等各方面的问 题,jquery和其它的lib一样,都提供了一个完好兼容的操作. 5.1.1 Attr 名称及描述 返回 兼容性 ( ) 当前节点给定Name的属性值     ( , ) 当前节点给定namespace,Name的属性值     ( ) 取当前节点给定name的属性节点.     ( , ) 取当前节点给定namespace,n			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo66Xgz.html" rel="bookmark">Jquery源码分析---DOM元素（下）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				5.3.2 insert 在IE中提供了insertAdjacentElement()方法,这个方 法比insertBefore()和appendChild()好用.为了保证兼容性,像 prototype,mootools,Ext都提供了一个类似的方法,之后在扩展出四个方法. 分别在元素的前面或后面,元素的内部开始或内部结束处四个地方插入元素. Jquery也一样,提供了domManip(),这个函数和 insertAdjacentElement类似,不同的是它采用回调函数做swhere的类似参			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDeVmKb.html" rel="bookmark">jQuery源码分析之jQuery&period;fn&period;each与jQuery&period;each用法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jQuery源码分析之jQuery.fn.each与jQuery.each用法.分享给大家供大家参考.具体分析如下: 先上例子,下面代码的作用是:对每个选中的div元素,都给它们添加一个red类 复制代码 代码如下: $('div').each(function(index, elem){       $(this).addClass('red'); } }); 上面用的的.each,即jQuery.fn.each,其内部是通过jQuery.each实现的 复制代码 代码如下: j			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mlmjg8p.html" rel="bookmark">jQuery源码分析-03构造jQuery对象-工具函数&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者:nuysoft/高云 QQ:47214707 EMail:nuysoft@gmail.com 声明:本文为原创文章,如需转载,请注明来源并保留原文链接. 读读写写,不对的地方请告诉我,多多交流共同进步,本章的的PDF等本章写完了发布. jQuery源码分析系列的目录请查看 http://nuysoft.iteye.com/blog/1177451,想系统的好好写写,目前还是从我感兴趣的部分开始,如果大家有对哪个模块感兴趣的,建议优先分析的,可以告诉我,一起学习. 3.4 其他静态工具函数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKYwZLp.html" rel="bookmark">jQuery源码分析之jQuery中的循环技巧详解&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jQuery的源码中有很多值得学习借鉴的技巧,本文即收集了jQuery中出现的各种遍历技巧和场景.具体分析如下: // 简单的for-in(事件) for ( type in events ) { } // 缓存length属性,避免每次都去查找length属性,稍微提升遍历速度 // 但是如果遍历HTMLCollection时,性能提升非常明显,因为每次访问HTMLCollection的属性,HTMLCollection都会内部匹配一次所有的节点 for ( var j = 0, l = ha			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5AABDp.html" rel="bookmark">Jquery源码分析---导言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jQuery是一个非常优秀的JS库,与Prototype,YUI,Mootools等众多的Js类库 相比,它剑走偏锋,从web开发的实用角度出发,抛除了其它Lib中一些中看但不 实用的东西,为开发者提供了优美短小而精悍的类库.其使用简单,文档丰富, 而且性能高效,能极大地提高web系统的开发效率.因此可以说是web应用开发中 最佳的Js辅助类库之一.大部分开发者正在抛弃Prototype,而选择Jquery做为 他们进行web开发的JS库. 如是开发人员仅仅只知道文档中的简单的使用 方法,却不明			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3W4DWb.html" rel="bookmark">jQuery 源码分析 CSS 操作原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jquery.fn.css获取当前jQuery所匹配的元素中第一个元素的属性值[$(-).css(cssName),注意这个cssName可以是数组]或给当前jQuery所匹配的每个元素设置样式值[$(-).css(cssname,value) / $(-).css(obj)]; 可以看见函数内部直接调用了jquery.access来处理.access将当前多个元素组成的jQuery对象所匹配的元素分解成单一元素逐个调用第二个参数中的回调function( elem, name, value )			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZEQ3z.html" rel="bookmark">jQuery源码分析-01总体架构分析&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 总体架构 1.1 自调用匿名函数 self-invoking anonymous function 打开jQuery源码,首先你会看到这样的代码结构: 复制代码 代码如下: (function( window, undefined ) { // jquery code })(window); 1. 这是一个自调用匿名函数.什么东东呢?在第一个括号内,创建一个匿名函数:第二个括号,立即执行 2. 为什么要创建这样一个&quot;自调用匿名函数&quot;呢? 通过定义一个匿名函数,创建了一个&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRRaDz.html" rel="bookmark">Jquery源码分析---概述</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jQuery是一个非常优秀的JS库,与Prototype,YUI,Mootools等众多的Js类库 相比,它剑走偏锋,从web开发实用的角度出发,抛除了其它Lib中一些不实用的 东西,为开发者提供了短小精悍的类库.其短小精悍,使用简单方便,性能高效 ,能极大地提高开发效率,是开发web应用的最佳的辅助工具之一.因此大部分 开发者在抛弃Prototype而选择Jquery来进行web开发. 一些开发人员在使用jquery时,由于仅仅只知道Jquery文档中的使用方法, 不明白Jquery的运行原理			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVn3kz.html" rel="bookmark" class="title">网站改版结果应该如何分析</a>
					<div>
						之前写的一篇文章,拿来和大家分享一下. 分析结果前有必要重新回顾下为了什么而改版 . 通常情况下,网站改版有两种情况: 1.因为网站本身的内容扩充导致现在的网站架构承载不下更多的内容, 2.基于网站用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwD2mb.html" rel="bookmark" class="title">设计一个基于CSS的网页模板</a>
					<div>
						css|模板|设计|网页 这是一个教你如何一步一步学习建立基于CSS制作网站的开始,这个教程将由几个部分组成.第一部分是讲述如何在photoshop中制作导航按扭的:第二部分将讲述背景的制作,再下一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd2Rxb.html" rel="bookmark" class="title">Microsoft VBscript运行时错误&bsol;800a000d&bsol;的解决方案</a>
					<div>
						microsoft|vbscript|错误|解决 在使用vbscript进行asp开发时,一些朋友会碰到以下类似的错误:Microsoft VBscript 运行时错误 '800a000d' 类型不匹 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEDv4b.html" rel="bookmark" class="title">Word2003如何自动保存文档？</a>
					<div>
						Word2003如何自动保存文档?   如何自动保存? 单击&quot;工具&quot;菜单中的&quot;选项&quot;,然后在弹出的对话框中切换到&quot;保存&quot;选项卡,设置自动保存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLO9lLM.html" rel="bookmark" class="title">浅析平面与网页设计的差异性</a>
					<div>
						这段时间,一直在做印像派的商品设计,如照片书.台历之类.从网页产品设计转行过来的我,时常在想,平面设计和网页都是设计,但区别又是那么大,那不就与大自然中的猫和老虎一样嘛,它们都属于猫科动物,但又不是同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKwoVp.html" rel="bookmark" class="title">打开U盘后提示要格式化怎么回事？</a>
					<div>
						  打开U盘后提示要格式化怎么回事? 打开时提示格式化,因为是文件系统不被操作系统识别.不要尝试格式化后再恢复,格式化只会再次破坏数据,使数据恢复的不完整. 1.未格式化的原因可能是分区是EXFAT文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZG1ob.html" rel="bookmark" class="title">揭秘Windows 8隐藏小工具</a>
					<div>
						在已知的 Win8 开发体系中,存在着很多与以往完全不同的设计,比如类似 WP7 的 Metro UI.能够读取 PDF 的内置 PDF 阅读器.运行于浏览器之上的 WebCam 以及全新内置的桌面分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGQwWp.html" rel="bookmark" class="title">retinex-单尺度RETINEX的算法中不同代码的高斯函数的形式问什么不同，MATLAB代码</a>
					<div>
						问题描述 单尺度RETINEX的算法中不同代码的高斯函数的形式问什么不同,MATLAB代码 有没有相关的代码.为什么高斯核的形式不一样 [x y]=meshgrid((-(size(Ir,2)-1)/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZ12Nb.html" rel="bookmark" class="title">输出到txt文档后，怎么输出十个数字就换行</a>
					<div>
						问题描述 RT输出1和0到txt文档,怎么输出十个数字就自动换行 解决方案 解决方案二:privatevoidForm1_Load(objectsender,EventArgse){//鼠标相对于屏幕 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAwEEM.html" rel="bookmark" class="title">超贴心 ：一份简单明了的营销分析软件包测评</a>
					<div>
						开始选择使用哪一个分析软件包之前,你有两件事儿要做1)确定你想要回答的问题.比如: 什么营销渠道在促成用户访问网站或下载app? 用户要多久才会再次访问网站/app? 用户在购买流程中的哪一环节放弃购 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32aY7z.html" rel="bookmark" class="title">AutoLayout全解</a>
					<div>
						AutoLayout简介 Autolayout是一种全新的布局技术,专门用来布局UI界面的,用来取代Frame布局在遇见屏幕尺寸多重多样的问题.Autolayout自iOS 6开始引入,但是由于Xco ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAyj2M.html" rel="bookmark" class="title">2011年2月份美国最佳虚拟主机TOP7性能评测</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 近日,据Hostpeek最新发布的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamnEwb.html" rel="bookmark" class="title">共享无线</a>
					<div>
						1.如果无线网络连接创建完成后手机却无法查找到创建的临时网络信号或是信号格很弱且不稳定,到网络连接中--右键无线网络连接--属性--配置--打开网卡属性框--点高级--查看IBSS(TM)模式(这个地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlo7kb.html" rel="bookmark" class="title">初创公司谁来当你们的运维</a>
					<div>
						运维,哎,多么沉重的话题,初创公司的运维,哎,还能愉快的聊天吗? 初创公司的运维,如今其实兼技术支持.系统管理员(SA).网管.网络工程师.研发工程师.架构师,干着这些看似不相干甚至矛盾的工作. 他们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRgDXz.html" rel="bookmark" class="title">深入分析url的伪静态之如何去掉index&period;php</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 作为一个seoer肯定知道在网站优 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxdjdb.html" rel="bookmark" class="title">数学-机器学习中关于互信息和信息增益的关系</a>
					<div>
						问题描述 机器学习中关于互信息和信息增益的关系 最近看 数学之美 上面 互信息 的公式是I(X;Y)=H(X)-H(X|Y) 又看到 统计学习方法 上有一个 信息增益 的公式G(DA)=H(D)-H( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lV48b.html" rel="bookmark" class="title">读取指定网页，指定标签的内容，即提取网页上我想要的信息</a>
					<div>
						问题描述 请问下读取HTML页面指定标签的内容,现在发现所有的内容都填充在div标签里面的,唯一的区别是我需要的信息的div的css里面定义的class和不需要的不一样,类似 &lt;div clas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmWK6b.html" rel="bookmark" class="title">Jquery 选择器注意的问题--记录（五）</a>
					<div>
						1. $(&quot;p.intro&quot;)-&gt; 所有 class=&quot;intro&quot; 的 &lt;p&gt; 元素 $(&quot;div#intro .head&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5BReM.html" rel="bookmark" class="title">菜鸟求教</a>
					<div>
						问题描述 页面代码&lt;table id=&quot;123&quot;&gt;&lt;/table&gt;&lt;table&gt;&lt;/table&gt;如何利用.append向 id为&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKe9Ob.html" rel="bookmark" class="title">ajax 如何实现弹出对话框 然后刷新页面11</a>
					<div>
						问题描述 http://my.poco.cn/id-175029316.shtml 解决方案					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK3xOb.html" rel="bookmark" class="title">人工智能火到不行，BAT靠什么来引爆？</a>
					<div>
						本文讲的是人工智能火到不行,BAT靠什么来引爆?[IT168 资讯]&quot;各行各业对认知系统和人工智能(AI)的广泛采用,将使全球在这两方面的收入从2016年的近80亿美元提升至2020年的47 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgw9XmM.html" rel="bookmark" class="title">诺基亚CEO称对当初选择Windows Phone平台不后悔</a>
					<div>
						北京时间7月15日消息,诺基亚CEO史蒂芬·埃洛普(Stephen Elop)上周在接受采访时,仍然坚称对当初选择Windows Phone平台不后悔.他表示,在Android生态系统,一家独大的风险 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M120N5p.html" rel="bookmark" class="title">梦幻西游 2015新区-梦幻 2015 12月新区 上海一区 十里霓虹</a>
					<div>
						问题描述 梦幻 2015 12月新区 上海一区 十里霓虹 梦幻 2015 12月新区 上海一区 十里霓虹 有没有一起玩的小伙伴 这么多年入坑 出坑 再入坑 出坑 如今又入坑了,要玩的一起吧 qq群 4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOrxwb.html" rel="bookmark" class="title">javascript之DIV拖动类 支持在FF下拖动&comma;调用简单&lowbar;javascript技巧</a>
					<div>
						点我调用 拖动窗口 显示窗口 最大化窗口					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7mGDb.html" rel="bookmark" class="title">yii，CI，yaf框架&plus;smarty模板使用方法&lowbar;php实例</a>
					<div>
						本文实例讲述了yii,CI,yaf框架+smarty模板使用方法.分享给大家供大家参考,具体如下: 最近折腾了框架的性能测试,其中需要测试各个模板跟smarty配合的性能,所以折腾了一桶,现总结一下. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVjx5z.html" rel="bookmark" class="title">Flow之一个新的Javascript静态类型检查器&lowbar;javascript技巧</a>
					<div>
						今天我们兴奋的发布了 Flow 的尝鲜版,一个新的Javascript静态类型检查器.Flow为Javascript添加了静态类型检查,以提高开发效率和代码质量.更明确的说,静态类型检查提供的好处像早 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkgmWp.html" rel="bookmark" class="title">关于移动商城，用户浏览某个商品，然后点击联系客服。会推出和客服聊天的界面，然后自动把商品详情发送给客服。这个功能怎么是实现</a>
					<div>
						问题描述 移动商城的APP集成渠道的文档说是发送轨迹消息.里面的实现方法是根据SDK的2.0版本.现在项目里集成的SDK3.0 解决方案 这个是轨道信息..我问了官方的支持..发了一条这样的链接过来. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOW8W3z.html" rel="bookmark" class="title">携程日韩语言版本网站的发布是继英文版后的重大里程碑</a>
					<div>
						近日,携程旅行网正式上线日.韩语版网站,网址分别为 hotels.jp.ctrip.com.hotels.kr.ctrip.com,主要针对在中国的日.韩人士,提供中国境内的酒店预订服务.目前发布的日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmXRYp.html" rel="bookmark" class="title">只想安静地看个小黄片？当心手机被锁</a>
					<div>
						       当你的手机突然弹出一条消息: 你的手机已经被锁,立刻支付200美金,否则你的朋友都会知道你浏览了哪些网页. 这时你一定后悔刚刚下载了那个看片神器App. 没错,这就是赤裸裸的勒索,此Ap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWwGAM.html" rel="bookmark" class="title">华为助力渠道要做实四件事</a>
					<div>
						华为近日宣布,2016年华为企业BG湖北合作伙伴答谢会成功举办,170余家湖北地区华为重要合作伙伴的280多位高层领导齐聚一堂,共话成长共赢,展望无限未来. 首先,华为武汉代表处代表曹征在大会上表示, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
